/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup;

import jgroup.reference.*;

/**
 * In Jgroup, an <i>internal remote interface</i> is an interface that
 * declares a set of method implemented by an object group that may be
 * invoked from a member of the group itself. An internal remote interface
 * must satisfy the following conditions:
 *
 * <UL>
 * <LI>An internal remote interface must at least extend, either directly
 * or indirectly, the interface <tt>InternalGMIListener</tt>. </LI>
 * <LI>Each remote method declaration in the internal remote interface
 * must (i) include the exception <tt>java.rmi.RemoteException</tt> in its
 * <i>throws</i> clause, in addition to any application-specific exceptions
 * (note that application-specific exceptions do not have to extend
 * <tt>java.rmi.RemoteException</tt>), and (ii) return
 * <tt>java.lang.Object</tt>. </LI>
 * </UL>
 *
 * The <tt>InternalGMIListener</tt> is a marker interface that declares
 * no methods.
 */
public interface  InternalGMIListener
extends           Listener
{
}
