/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.exec;

/**
 * Class for ReplicationExceptions thrown by the ReplicaData class.
 *
 * @author Hein Meling
 * @since Jgroup 1.1
 */
public class ReplicationException extends Exception {

  private String message;
  private Throwable exception;

  public ReplicationException() {
    this(null, null);
  }

  public ReplicationException(String msg) {
    this(msg, null);
  }

  public ReplicationException(Throwable e) {
    this(null, e);
  }

  public ReplicationException(String msg, Throwable e) {
    this.message = msg;
    this.exception = e;
  }

  public String getMessage() {
    return message;
  }

  public Throwable getException() {
    return exception;
  }

}
