/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package jgroup.reference;

import java.io.*;
import java.net.*;
import java.util.*;

import jgroup.*;

/**
 * Not sure it will be maintained in this form.
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.9
 */
public class    Service
{

  /** Resource name */
  public static final String RESOURCE = "META-INF/Jgroup";

  /**
   *  Construct locator
   */
  public static String getResource(String name)
    throws JgroupException
  {
    try {
      Enumeration e = ClassLoader.getSystemResources(RESOURCE+name);
      URL url = (URL) e.nextElement();
      if (e.hasMoreElements())
        throw new JgroupException("Unable to read resource: more than one Jgroup implementation found");
      BufferedReader reader = new BufferedReader(new InputStreamReader(url.openStream()));
      String string = reader.readLine();
      return string;
    } catch (Exception e) {
      throw new JgroupException("Unable to read resource: " + e.getMessage());
    }
  }

} // END Service
