/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.daemon;

import relacs.mss.Upcall;

/**
 * The <code> UpcallAck</code> class represents a local message exchanged between
 * members and the daemon; it is used by the member to notify the daemon of ...
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.1
 */
final class     UpcallAck
extends         Upcall
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  int           mpos;           // Member position
  int           last;           // Last installed view


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   * Creates a <code> UpcallAck</code> upcall.
   */
  UpcallAck(int tag, int gid, int mpos, int last)
  {
    super(tag, gid);
    this.mpos   = mpos;
    this.last   = last;
  }


} // END UpcallAck

