/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.daemon;

import jgroup.*;

import relacs.mss.*;
import relacs.gm.*;

/**
 * The <code> UpcallGroup</code> class represents a local lidssage exchanged between
 * lidmbers and the daemon; it is used by the lidmber to notify the daemon of join
 * and leave request, and by the daemon to inform a lidmber that its leave request
 * has been accepted.
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.1
 */
final class     UpcallGroup
extends         Upcall
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  int           lid;          // Local member identifier
  BaseLayer     layer;        // Member reference


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   * Creates a <code> LocGroup</code> lidssage.
   */
  UpcallGroup(byte tag, int gid, int lid, BaseLayer layer)
  {
    super(tag, gid);
    this.lid = lid;
    this.layer = layer;
  }

} // END UpcallGroup

