/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.gm;

import relacs.mss.Upcall;
import jgroup.View;

/**
 * The <code> UpcallView</code> class
 *
 * @author  Alberto Montresor
 * @since   Jgroup 0.1
 */
final class     UpcallView
extends         Upcall
implements      GMTag
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  View          view;           // Current view
  int           last;           // Version number when last view has been installed
  int           hpos;           // Host position in the current view
  int           mpos;           // (Local) Member position in the current view


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructors
  ////////////////////////////////////////////////////////////////////////////////////////////

  UpcallView(int gid, View view, int last, int hpos, int mpos)
  {
    super(L_VIEW, gid);
    this.view = view;
    this.last = last;
    this.hpos = hpos;
    this.mpos = mpos;
  }

} // END LocView

