/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.mss;

import java.io.*;

/**
 *
 * @author      Alberto Montresor
 * @since       Jgroup 0.3
 */
public final class      MsgFactory
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Fields
  ////////////////////////////////////////////////////////////////////////////////////////////

  private int       payload;
  private int       header;
  private int       trailer;


  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constructor
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *
   */
  MsgFactory(int payload, int header, int trailer)
  {
    this.payload = payload;
    this.header  = header;
    this.trailer = trailer;
  }

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Methods
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   */
  void setPayload(int payload)
  {
    this.payload = payload;
  }

  /**
   *
   */
  void setHeader(int header)
  {
    this.header = header;
  }

  /**
   *
   */
  void setTrailer(int trailer)
  {
    this.trailer = trailer;
  }


  /**
   *
   */
  public OutMessage get()
  {
    return new OutMessage(payload, header, trailer);
  }

  /**
   *
   */
  public OutMessage get(int size)
  {
    return new OutMessage(payload, header, trailer, size);
  }

} // END MsgFactory

