/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.rmi.proxy;

import java.lang.reflect.*;

/**
 * <code>JgroupHandler</code> is the interface implemented by
 * the <i>invocation handler</i> of a Jgroup proxy instance.
 * This class has been inserted to simplify the migration from
 * Java 2 SDK 1.2 to Java SDK 1.3. Please see
 * <code>java.lang.reflect.InvocationHandler for details</code>
 */
public interface JgroupHandler
{

  /**
   * Processes a method invocation on a proxy instance and returns
   * the result.  This method will be invoked on an invocation handler
   * when a method is invoked on a proxy instance that it is
   * associated with.
   */
  public Object invoke(Object proxy, Method method, Object[] args)
    throws Throwable;

} // END JgroupHandler







