/*
 * Copyright (c) 1998-2000 The Jgroup Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library Public License for more details.
 *
 * You should have received a copy of the GNU Library Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package relacs.simulator;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.net.InetAddress;

/**
*
*  @author  Alberto Montresor
*  @since   Jgroup 0.5
*/
public interface        SocketStatus
extends                 Remote
{

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Constants
  ////////////////////////////////////////////////////////////////////////////////////////////

  public static final int SOCKETREGISTRYPORT = 1198;    // Socket registry port
  public static final int BASE = 100;                   // Reliable channel

  ////////////////////////////////////////////////////////////////////////////////////////////
  // Methods
  ////////////////////////////////////////////////////////////////////////////////////////////

  /**
   *  Set the probability of a datagram packet to be correctly delivered at
   *  the host identified by <code> inet</code>. The probability is defined
   *  as <code>prob</code>/BASE.
   */
  void setStatus(InetAddress inet, int prob)
       throws RemoteException;

}
